=== debian/changelog ===
umoci (0.5.0+ds-2) unstable; urgency=medium

  * Team upload
  * Fix Breaks versions

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 14 Aug 2025 12:39:35 +0000

umoci (0.5.0+ds-1) unstable; urgency=medium

  * Team upload
  * Upload changes from experimental to unstable
  * Add Breaks for affected packages

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 11 Aug 2025 12:56:15 +0000

umoci (0.5.0+ds-1~exp2) experimental; urgency=medium

  * Team upload
  * Add patch to skip some tests that fail on the buildds

 -- Mathias Gibbens <gibmat@debian.org>  Tue, 03 Jun 2025 23:41:52 +0000

umoci (0.5.0+ds-1~exp1) experimental; urgency=medium

  * Team upload

  [ Mathias Gibbens ]
  * New upstream release:
    - Drop two patches applied upstream
    - Rebase remaining two patches
  * d/control:
    - Update Standards-Version to 4.7.2 (no changes needed)
    - Update Build-Depends and Depends
    - Add Static-Built-Using
  * Update d/copyright

  [ Nilesh Patra ]
  * Relax B-D condition on image-spec

 -- Mathias Gibbens <gibmat@debian.org>  Tue, 03 Jun 2025 01:18:54 +0000

umoci (0.4.7+ds-4) unstable; urgency=medium

  * Team upload.
  * Fix building with golang-github-opencontainers-image-spec-dev (>= 1.1.0~rc4)

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 20 Sep 2023 08:27:23 -0400
