=== debian/control ===
Source: umoci
Section: devel
Priority: optional
Standards-Version: 4.7.2
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               go-md2man,
               golang-any (>= 2:1.23~),
               golang-github-apex-log-dev,
               golang-github-blang-semver-dev,
               golang-github-cyphar-filepath-securejoin-dev,
               golang-github-docker-go-units-dev,
               golang-github-klauspost-compress-dev,
               golang-github-klauspost-pgzip-dev,
               golang-github-moby-sys-dev,
               golang-github-mohae-deepcopy-dev,
               golang-github-opencontainers-go-digest-dev,
               golang-github-opencontainers-image-spec-dev (>= 1.1.0~rc4~),
               golang-github-opencontainers-specs-dev,
               golang-github-rootless-containers-proto-dev (>= 0.1.2~),
               golang-github-stretchr-testify-dev,
               golang-github-urfave-cli-dev,
               golang-github-vbatts-go-mtree-dev (>= 0.5.4+ds-1~),
               golang-golang-x-sys-dev,
               golang-google-protobuf-dev,
Homepage: https://umo.ci
Vcs-Browser: https://salsa.debian.org/go-team/packages/umoci
Vcs-Git: https://salsa.debian.org/go-team/packages/umoci.git
XS-Go-Import-Path: github.com/opencontainers/umoci
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-go

Package: umoci
Architecture: any
Built-Using: ${misc:Built-Using},
Static-Built-Using: ${misc:Static-Built-Using}
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Open Container Images manipulation tool
 umoci creates and modifies Open Container images.
 See the official website (https://umo.ci/) for more accessible
 documentation about how to use umoci.
 .
 umoci intends to be a complete manipulation tool for OCI images
 (https://github.com/opencontainers/image-spec).  In particular, it should
 be seen as a more end-user-focused version of the oci-image-tools provided
 by the OCI (https://github.com/opencontainers/image-tools). The hope is
 that all of this tooling will eventually be merged with the upstream
 repository, so that it is always kept up-to-date by the Open Container
 Initiative community.
 .
 umoci provides tooling that can abstract all of the internals of the OCI
 specification into a single CLI interface.

Package: golang-github-opensuse-umoci-dev
Section: golang
Architecture: all
Multi-Arch: foreign
Depends: golang-github-apex-log-dev,
         golang-github-blang-semver-dev,
         golang-github-cyphar-filepath-securejoin-dev,
         golang-github-docker-go-units-dev,
         golang-github-klauspost-compress-dev,
         golang-github-klauspost-pgzip-dev,
         golang-github-moby-sys-dev,
         golang-github-mohae-deepcopy-dev,
         golang-github-opencontainers-go-digest-dev,
         golang-github-opencontainers-image-spec-dev (>= 1.1.0~rc4~),
         golang-github-opencontainers-specs-dev,
         golang-github-rootless-containers-proto-dev (>= 0.1.2~),
         golang-github-stretchr-testify-dev,
         golang-github-urfave-cli-dev,
         golang-github-vbatts-go-mtree-dev (>= 0.5.4+ds-1~),
         golang-golang-x-sys-dev,
         golang-google-protobuf-dev,
         ${misc:Depends},
Breaks: apptainer (<< 1.4.0-7),
        golang-github-mudler-docker-companion-dev (<< 0.4.5+git20250528.7d707b9+ds-1),
        golang-github-sylabs-singularity-dev (<= 4.1.5+ds4-1)
Description: umoci development files
 umoci creates and modifies Open Container images.
 See the official website (https://umo.ci/) for more accessible
 documentation about how to use umoci.
 .
 umoci intends to be a complete manipulation tool for OCI images
 (https://github.com/opencontainers/image-spec).  In particular, it should
 be seen as a more end-user-focused version of the oci-image-tools provided
 by the OCI (https://github.com/opencontainers/image-tools). The hope is
 that all of this tooling will eventually be merged with the upstream
 repository, so that it is always kept up-to-date by the Open Container
 Initiative community.
 .
 This package provides Golang sources for the umoci API.
