## umoci 0.6.0+ds

=== debian/changelog ===
umoci (0.6.0+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream release:
    - Drop old image spec patch
    - Update/consolidate patch to skip certain tests
  * d/control:
    - Update Standards-Version to 4.7.3, drop Priority field
    - Update Build-Depends and Depends
    - Update Breaks
    - Drop redundant Rules-Requires-Root
  * Update r/dules to include needed VERSION file

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 12 Jan 2026 20:24:34 +0000
