=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: umoci
 Section: devel
-Priority: optional
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -10,6 +9,7 @@
                golang-any (>= 2:1.23~),
                golang-github-apex-log-dev,
                golang-github-blang-semver-dev,
+               golang-github-containerd-platforms-dev,
                golang-github-cyphar-filepath-securejoin-dev,
                golang-github-docker-go-units-dev,
                golang-github-klauspost-compress-dev,
@@ -17,19 +17,18 @@
                golang-github-moby-sys-dev,
                golang-github-mohae-deepcopy-dev,
                golang-github-opencontainers-go-digest-dev,
-               golang-github-opencontainers-image-spec-dev (>= 1.1.0~rc4~),
-               golang-github-opencontainers-specs-dev,
+               golang-github-opencontainers-image-spec-dev (>= 1.1.1~),
+               golang-github-opencontainers-specs-dev (>= 1.2.1~),
                golang-github-rootless-containers-proto-dev (>= 0.1.2~),
                golang-github-stretchr-testify-dev,
                golang-github-urfave-cli-dev,
                golang-github-vbatts-go-mtree-dev (>= 0.5.4+ds-1~),
                golang-golang-x-sys-dev,
-               golang-google-protobuf-dev,
+               golang-google-protobuf-dev
 Homepage: https://umo.ci
 Vcs-Browser: https://salsa.debian.org/go-team/packages/umoci
 Vcs-Git: https://salsa.debian.org/go-team/packages/umoci.git
 XS-Go-Import-Path: github.com/opencontainers/umoci
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-go
 
 Package: umoci
@@ -60,6 +59,7 @@
 Multi-Arch: foreign
 Depends: golang-github-apex-log-dev,
          golang-github-blang-semver-dev,
+         golang-github-containerd-platforms-dev,
          golang-github-cyphar-filepath-securejoin-dev,
          golang-github-docker-go-units-dev,
          golang-github-klauspost-compress-dev,
@@ -67,8 +67,8 @@
          golang-github-moby-sys-dev,
          golang-github-mohae-deepcopy-dev,
          golang-github-opencontainers-go-digest-dev,
-         golang-github-opencontainers-image-spec-dev (>= 1.1.0~rc4~),
-         golang-github-opencontainers-specs-dev,
+         golang-github-opencontainers-image-spec-dev (>= 1.1.1~),
+         golang-github-opencontainers-specs-dev (>= 1.2.1~),
          golang-github-rootless-containers-proto-dev (>= 0.1.2~),
          golang-github-stretchr-testify-dev,
          golang-github-urfave-cli-dev,
@@ -76,7 +76,7 @@
          golang-golang-x-sys-dev,
          golang-google-protobuf-dev,
          ${misc:Depends},
-Breaks: apptainer (<< 1.4.0-7),
+Breaks: apptainer (<< 1.4.5-1),
         golang-github-mudler-docker-companion-dev (<< 0.4.5+git20250528.7d707b9+ds-1),
         golang-github-sylabs-singularity-dev (<= 4.1.5+ds4-1)
 Description: umoci development files
