=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DH_GOLANG_INSTALL_EXTRA := VERSION
GOLDFLAGS += -X github.com/opencontainers/umoci.version=$(DEB_VERSION)

%:
	dh $@ --buildsystem=golang --with=golang

execute_after_dh_auto_build:
	$(MAKE) docs

override_dh_auto_build:
	dh_auto_build -- -ldflags "$(GOLDFLAGS)"
